Package org.apache.tools.ant.taskdefs

# Class Available.FileDir

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.taskdefs.Available.FileDir

Enclosing class:
  Available

    public static class Available.FileDir
    extends EnumeratedAttribute

EnumeratedAttribute covering the file types to be checked for, either file or dir.

## Field Summary

### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`value`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`FileDir()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String[]` | `getValues()` | This is the only method a subclass needs to implement.
`boolean` | `isDir()` | Indicate if the value specifies a directory.
`boolean` | `isFile()` | Indicate if the value specifies a file.

### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FileDir

public FileDir()

## Method Details

### getValues

public java.lang.String[] getValues()
Description copied from class: `EnumeratedAttribute`
This is the only method a subclass needs to implement.

Specified by:
  `getValues` in class `EnumeratedAttribute`
Returns:
  an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.
See Also:
  `.`

### isDir

public boolean isDir()
Indicate if the value specifies a directory.

Returns:
  true if the value specifies a directory.

### isFile

public boolean isFile()
Indicate if the value specifies a file.

Returns:
  true if the value specifies a file.